return {
  'nvim-telescope/telescope.nvim',
  dependencies = {
    'nvim-lua/plenary.nvim',
  },
  config = function()
    require('telescope').setup({})

    -- TODO: Add more mappings
    vim.keymap.set('n', '<C-f>f', ':Telescope find_files<CR>', { noremap = true })
    vim.keymap.set('n', '<C-f>g', ':Telescope git_files<CR>', { noremap = true })
    -- vim.keymap.set('n', '<C-f>g', ':Telescope live_grep<CR>', { noremap = true })
    vim.keymap.set('n', '<C-f>b', ':Telescope buffers<CR>', { noremap = true })
    vim.keymap.set('n', '<C-f>h', ':Telescope help_tags<CR>', { noremap = true })

  end
}
